gss_export_name(3)

NAME
gss_export_name - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_export_name(OM_uint32 * minor_status, const gss_name_t input_name, gss_buffer_t exported_name);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_name_t input_name
    (gss_name_t, read) The MN to be exported.

gss_buffer_t exported_name
    (gss_buffer_t, octet-string, modify) The canonical
      contiguous string form of input_name. Storage associated with
      this string must freed by the application after use with
      gss_release_buffer().

DESCRIPTION
To produce a canonical contiguous string representation of a mechanism name (MN), suitable for direct comparison (e.g. with memcmp) for use in authorization functions (e.g. matching entries in an access-control list). The input_name parameter must specify a valid MN (i.e. an internal name generated by gss_accept_sec_context() or by gss_canonicalize_name()).

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_NAME_NOT_MN`: The provided internal name was not a mechanism name.

`GSS_S_BAD_NAME`: The provided internal name was ill-formed.

`GSS_S_BAD_NAMETYPE`: The internal name was of a type not supported by the GSS-API implementation.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.